summaryrefslogtreecommitdiff
path: root/scripts/rabbitmq-env
diff options
context:
space:
mode:
authorGerhard Lazu <gerhard@lazu.co.uk>2017-08-22 19:19:02 +0100
committerGerhard Lazu <gerhard@lazu.co.uk>2017-08-22 19:19:02 +0100
commit1bc84822a10255319be6170d74355f20cef5fa5f (patch)
tree9ad78fada18b652493cc17fe75a2e16af63d163c /scripts/rabbitmq-env
parent5598488204c7c762bd007e2732ca8e984b8a7302 (diff)
parent4e94918a957bfee5905e75c89c14e2e7e9b74600 (diff)
downloadrabbitmq-server-git-1bc84822a10255319be6170d74355f20cef5fa5f.tar.gz
Merge branch 'stable'
Diffstat (limited to 'scripts/rabbitmq-env')
-rwxr-xr-xscripts/rabbitmq-env9
1 files changed, 4 insertions, 5 deletions
diff --git a/scripts/rabbitmq-env b/scripts/rabbitmq-env
index e422557cac..2efe67bd34 100755
--- a/scripts/rabbitmq-env
+++ b/scripts/rabbitmq-env
@@ -77,6 +77,10 @@ ESCRIPT_DIR="${RABBITMQ_HOME}/escript"
## Set defaults
. ${RABBITMQ_SCRIPTS_DIR}/rabbitmq-defaults
+## Get configuration variables from the configure environment file
+[ "x" = "x$RABBITMQ_CONF_ENV_FILE" ] && RABBITMQ_CONF_ENV_FILE=${CONF_ENV_FILE}
+[ -f ${RABBITMQ_CONF_ENV_FILE} ] && . ${RABBITMQ_CONF_ENV_FILE} || true
+
DEFAULT_SCHEDULER_BIND_TYPE="db"
[ "x" = "x$RABBITMQ_SCHEDULER_BIND_TYPE" ] && RABBITMQ_SCHEDULER_BIND_TYPE=${DEFAULT_SCHEDULER_BIND_TYPE}
@@ -91,11 +95,6 @@ SERVER_ERL_ARGS="+P 1048576 +t 5000000 +stbt $RABBITMQ_SCHEDULER_BIND_TYPE +zdbb
# it and warn the user.
saved_RABBITMQ_PID_FILE=$RABBITMQ_PID_FILE
-## Get configuration variables from the configure environment file
-[ "x" = "x$RABBITMQ_CONF_ENV_FILE" ] && RABBITMQ_CONF_ENV_FILE=${CONF_ENV_FILE}
-
-[ -f ${RABBITMQ_CONF_ENV_FILE} ] && . ${RABBITMQ_CONF_ENV_FILE} || true
-
if [ "$saved_RABBITMQ_PID_FILE" -a \
"$saved_RABBITMQ_PID_FILE" != "$RABBITMQ_PID_FILE" ]; then
echo "WARNING: RABBITMQ_PID_FILE was already set by the init script to:" 1>&2